Bug 1328216 - python-SecretStorage: missing dependency on python-crypto
Summary: python-SecretStorage: missing dependency on python-crypto
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-SecretStorage
Version: 23
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1282149 1328218
TreeView+ depends on / blocked
 
Reported: 2016-04-18 18:20 UTC by Maciek Borzecki
Modified: 2016-05-23 20:03 UTC (History)
2 users (show)

Fixed In Version: python-SecretStorage-2.1.4-1.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-23 20:03:38 UTC
Type: Bug


Attachments (Terms of Use)

Description Maciek Borzecki 2016-04-18 18:20:08 UTC
Description of problem:

Attempting to import secretstorage one gets this:

Type "help", "copyright", "credits" or "license" for more information.
>>> import secretstorage
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.7/site-packages/secretstorage/__init__.py", line 14, in <module>
    from secretstorage.collection import Collection, create_collection, \
  File "/usr/lib/python2.7/site-packages/secretstorage/collection.py", line 21, in <module>
    from secretstorage.item import Item
  File "/usr/lib/python2.7/site-packages/secretstorage/item.py", line 15, in <module>
    from secretstorage.util import InterfaceWrapper, bus_get_object, \
  File "/usr/lib/python2.7/site-packages/secretstorage/util.py", line 13, in <module>
    from secretstorage.dhcrypto import Session
  File "/usr/lib/python2.7/site-packages/secretstorage/dhcrypto.py", line 14, in <module>
    from Crypto.Random.random import getrandbits
ImportError: No module named Crypto.Random.random

Version-Release number of selected component (if applicable):
python-SecretStorage-2.1.1-2.fc23.noarch

How reproducible:


Steps to Reproduce:
1. start python
2. import secretstorage

Comment 1 Fedora Admin XMLRPC Client 2016-04-25 20:44:59 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Fedora Update System 2016-05-20 13:02:21 UTC
python-SecretStorage-2.1.4-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-36b5949d94

Comment 3 Fedora Update System 2016-05-21 01:31:03 UTC
python-SecretStorage-2.1.4-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-36b5949d94

Comment 4 Fedora Update System 2016-05-23 20:03:18 UTC
python-SecretStorage-2.1.4-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.